import javax.swing.*;
import java.awt.event.*;

public class Champ extends JTextField implements KeyListener{
    double valeur;
    Glissiere g;
    
    public Champ(Glissiere g){// passer la glissire en paramtre?
        // donc nbDec, maximum, minimum seraient disponibles.
        this.g = g;
        addKeyListener(this);
    }
    
    public void keyTyped(KeyEvent e){
    }
    public void keyPressed(KeyEvent e){
    }
    public void keyReleased(KeyEvent e){
        if (e.getKeyCode() == KeyEvent.VK_ENTER){
            try{
                valeur = Double.parseDouble(getText());
                int facteur = g.getFacteur();
                // Ajuster la valeur en fonction du nombre de dcimales
                valeur = (int) (valeur * facteur);
                if (valeur > g.getMax()){valeur = g.getMax();}
                if (valeur < g.getMin()){valeur = g.getMin();}
                valeur = valeur/facteur; // Valeur d'affichage
                g.setValue(valeur);
            }catch(NumberFormatException ex){
                selectAll();
            }
        }
    }
}